#
# spec file for package libaudclient2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define origname      libaudclient
%define origversion   3.5-rc2

Name:           libaudclient2
Version:        3.5~rc2
Release:        1699.2.pm.5
Summary:        Client library for audacious
License: GPL-2.0
Group:          System/Libraries
Url:            http://audacious-media-player.org/
Source:         http://distfiles.audacious-media-player.org/%{origname}-%{origversion}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dbus-1-glib-devel >= 0.88

%description
audacious D-Bus remote control library

%package    -n  libaudclient-devel
Summary:        Development files for libaudclient
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n libaudclient-devel
Development files for libaudclient (to communicate with audacious)

%prep
%setup -q -n %{origname}-%{origversion}

%build
%configure
make %{?_smp_mflags}
### corrects version mismatch
sed '/^version/cversion=%{version}' -i audclient.pc

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/libaudclient.so.2
%{_libdir}/libaudclient.so.2.0.0

%files -n libaudclient-devel
%defattr(-,root,root)
%dir %{_includedir}/audacious/
%{_includedir}/audacious/audctrl.h
%{_includedir}/audacious/dbus.h
%{_libdir}/libaudclient.so
%{_libdir}/pkgconfig/audclient.pc

%changelog
* Wed Jan 14 2015 aloisio@gmx.com
- Now packaged separately from audacious
